package org.linlinjava.jz.admin.vo;

import io.swagger.models.auth.In;

import java.util.List;

/**
 * 工单咨询类型 返回对象
 */
public class Ticket_Consult_Type_Vo {
    private Integer id;
    private String name;
    private String remark;
    private int level;
    private boolean deleted;
    private short type;
    private Integer pid;
    private Integer hmNoticeType;

    public void setHmNoticeType(Integer hmNoticeType) {
        this.hmNoticeType = hmNoticeType;
    }

    public Integer getHmNoticeType() {
        return hmNoticeType;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public Integer getPid() {
        return pid;
    }

    public void setType(short type) {
        this.type = type;
    }

    public short getType() {
        return type;
    }

    private List<Ticket_Consult_Type_Vo> children;

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public List<Ticket_Consult_Type_Vo> getChildren() {
        return children;
    }

    public void setChildren(List<Ticket_Consult_Type_Vo> children) {
        this.children = children;
    }
}
